#!/usr/bin/env python                                                                                              
##
# Copyright (C) 2020 Samsung Electronics
# License: Apache-2.0
#
# @file gen_daily_build_badge.py
# @brief A tool for generating a github badge image in svg format
# @author Gichan Jang <gichan2.jang@samsung.com>
#
import sys 
import requests
from bs4 import BeautifulSoup
 
##
# @brief Generate a github badge svg file representing daily build result
def gen_daily_build_badge(label, message, color, path):
    url_str = 'https://img.shields.io/badge/' + label+'-' + message + '-' + color
    print('Target url : ' + url_str)
    res = requests.get(url_str)
    with open(path, "w") as file:
        file.write(str(res.text))
 
if __name__ == '__main__':
    if len(sys.argv) < 5:
        exit(1)
    
    gen_daily_build_badge(sys.argv[1], sys.argv[2], sys.argv[3], sys.argv[4])
